# mode: error
# tag: cpp, cpp11, pthread
# cython: experimental_cpp_class_def=True, language_level=2

cdef cypclass A:
    pass

def test_consume_iso_to_iso():
    cdef iso A a = recover A()
    cdef iso A b = consume a

def test_consume_mut_to_iso():
    cdef A a = A()
    cdef iso A b = consume a

def consume_rvalue():
    a = consume A()

_ERRORS = u'''
14:19: Cannot assign type 'A' to 'iso A'
17:8: Can only consume named variables or fields
'''
